<?php

	class XenStaff_Model_StaffGroupsUniqueIds extends XenForo_Model
	{	

		public function getListofUniqueIds($allgroupuserids)
		{

		$uniqueIds = array();

	        $x = 0;

		foreach ($allgroupuserids AS &$groupUserIds)
		{
                        $user_id = $groupUserIds['user_id'];

		        if (!in_array($user_id, $uniqueIds))
                        {
                               $uniqueIds[$x] = $user_id;
                               $x++;
                        }

		}

		return $uniqueIds;

		}

	}